<?php

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

switch( $llStatic )
{
	case('de'):
		$tables = array(
				'tx_quickshop_provider' => 'mail', // Anbieter
				'tx_quickshop_products' => 'tx_quickshop_provider', // Artikel
		);
		break;
	case('default'):
	default:
		$tables = array(
				'tx_quickshop_products' => 'mail', // Provider
				'tx_quickshop_provider' => 'tx_quickshop_products', // Items
		);
		break;
}

foreach( $tables as $table => $displayAfter )
{
	switch( $confArr[ 'linkhandler.' ][ $table ] )
	{
		case( 'No' ):
			continue 2;
		case( 'Yes (recommended)' ):
		default:
			// follow the workflow
			break;
	}

	$onlyPids = $confArr[ 'linkhandler.' ][ $table . '.' ][ 'onlyPids' ];

	switch( true )
	{
		case(!empty( $onlyPids ) ):
			$storagePids = 'storagePid    = ' . $onlyPids;
			// #t1837, 180206, dwildt, 1+
			$hidePageTree = 1;
			break;
		case( empty( $onlyPids ) ):
		default;
			// #t1837, 180206, dwildt, 1+
			$hidePageTree = 0;
			$storagePids = null;
			break;
	}

	$tsConfig = '

TCEMAIN.linkHandler.' . $table . ' {
  handler = TYPO3\CMS\Recordlist\LinkHandler\RecordLinkHandler
  label   = LLL:EXT:quick_shop/Resources/Private/Language/TxLinkhandler/locallang.xlf:tab.' . $table . '
  configuration {
    table         = ' . $table . '
    hidePageTree  = ' . $hidePageTree . '
    ' . $storagePids . '
  }
  displayAfter  = ' . $displayAfter . '
  scanBefore    = page
}
';

//echo $tsConfig;
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig( $tsConfig );
}

//die();
return;