<?php

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

$_EXTKEY = 'quick_shop';

$TCA = array(
		'ctrl' => array(
				'title' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_shippingcosts.xml:tx_quickshop_shippingcosts',
				'label' => 'value',
				'label_alt' => 'title',
				'label_alt_force' => true,
				'tstamp' => 'tstamp',
				'crdate' => 'crdate',
				'cruser_id' => 'cruser_id',
				'default_sortby' => 'ORDER BY value',
				'delete' => 'deleted',
				'enablecolumns' => array(
						'disabled' => 'hidden',
				),
				'iconfile' => \Netzmacher\Refresh\Compatibility\Core\Utility\ExtensionManagementUtility::extRelPath( $_EXTKEY ) . 'ext_icon.svg',
				'searchFields' => 'title',
		),
		'interface' => array(
				'showRecordFieldList' => 'hidden,title,%%%title_lang_ol,%%%value'
		),
		'columns' => array(
				'hidden' => array(
						'exclude' => 1,
						'label' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'hidden' ][ 'label' ],
						'config' => array(
								'type' => 'check',
								'default' => '0'
						)
				),
				'title' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_shippingcosts.xml:tx_quickshop_shippingcosts.title',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'required',
						)
				),
				'title_lang_ol' => array
						(
						'exclude' => 0,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_shippingcosts.xml:tx_quickshop_shippingcosts.title_lang_ol',
						'config' => array(
								'type' => 'input',
								'size' => '30',
						),
				),
				'value' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_shippingcosts.xml:tx_quickshop_shippingcosts.value',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'required',
						)
				),
		),
		'palettes' => array(
				'title' => array(
						'showitem' => ''
						. 'title,%%%title_lang_ol,%%%%%%--linebreak--,%%%'
						,
						'canNotCollapse' => 1,
				),
		),
		'types' => array(
				'0' => array(
						'showitem' => ''
						. 'hidden,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:palette.title;title,'
						. 'value'
				)
		),
);

// Enable or disable the localisation
$TCA = \Netzmacher\QuickShop\TCA\Localisation::Replace( $TCA );

return $TCA;
