plugin.tx_browser_pi1 {

  views {
    single {
      62037 {
        tx_quickshop_products {
            // title
					title = COA
					title {
							// Form: into the Caddy
						//10 < plugin.tx_caddy_pi1.templates.fluid.intoTheCaddy
							// social bookmarks
						20 < plugin.tx_browser_pi1.displaySingle.master_templates.tableFields.imageText.0
						20 {
							20 {
								0 {
									10 >
									20 >
									30 >
										// Into the caddy, social bookmarks, title, short, description, datasheet, sku, adn.ebay.com
									10 = COA
									10 {
											// Into the Caddy
										10 < temp.intoTheCaddy.inTextRight
										19 = TEXT
										19 {
											value (
												<div class="sbmFloatRight">
													###SOCIALMEDIA_BOOKMARKS###
												</div>
)
										}
											// title
										20 = TEXT
										20 {
											field = tx_quickshop_products.title // title
											wrap = {$plugin.quick_shop.html.headerWrap}
										}
											// short
										30 = TEXT
										30 {
											field = tx_quickshop_products.short // short
											wrap = <h2>|</h2>
											required = 1
										}
											// description
										40 = TEXT
										40 {
											field     = tx_quickshop_products.description // description
											required  = 1
											stdWrap {
												parseFunc < lib.parseFunc_RTE
											}
										}
											// embeddedcode
										45 = TEXT
										45 {
											field     = tx_quickshop_products.embeddedcode // embeddedcode
											required  = 1
										}
											// datasheet | 10: CSS Styled Content | 20: Fluid Styled Content | Internal: #t1829
										50 = COA
										50 {										
											10 < tt_content.table.20
											10 {
												field = tx_quickshop_products.datasheet // datasheet
											}
											20 < tt_content.table
											20 {
												dataProcessing.10 {
													// #i0261
													fieldName = tx_quickshop_products.datasheet
													fieldDelimiter.char.cObject.field >
													fieldDelimiter.char.cObject.value = 124
												}
											}
										}
											// Files, if.isTrue.field = tx_quickshop_products.documents // documents
										55 = COA
										55 {
												// isTrue.field = tx_quickshop_products.documents // documents
											if =
											if {
													// field = tx_quickshop_products.documents // documents
												isTrue =
												isTrue {
													field = tx_quickshop_products.documents // documents
												}
											}
											10 = TEXT
											10 {
												data = LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:phrase_files
												wrap = {$plugin.quick_shop.html.filesHeaderWrap}
											}
											20 < plugin.tx_quickshop.templates.uploads.tx_quickshop_products
										}
											// sku
										60 = COA
										60 {
											if {
												isTrue = {$plugin.quick_shop.layout.sku}
											}
											10 = COA
											10 {
												if {
													isTrue {
														field = tx_quickshop_products.sku // sku
													}
												}
													// label
												10 = TEXT
												10 {
													data        = LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:tx_quickshop_products.sku
													noTrimWrap  = ||: |
												}
													// value
												20 = TEXT
												20 {
													field = tx_quickshop_products.sku // sku
												}
											}
										}
											// tx_quickshop_categories, tx_quickshop_dimension, tx_quickshop_group, tx_quickshop_material
										70 = COA
										70 {
												// if.isTrue.field = tx_quickshop_products.tx_quickshop_categories // tx_quickshop_products.tx_quickshop_dimension // tx_quickshop_products.tx_quickshop_group // tx_quickshop_products.tx_quickshop_material
											if =
											if {
												isTrue {
													field = tx_quickshop_products.tx_quickshop_categories // tx_quickshop_products.tx_quickshop_dimension // tx_quickshop_products.tx_quickshop_group // tx_quickshop_products.tx_quickshop_material // tx_quickshop_categories // tx_quickshop_dimension // tx_quickshop_group // tx_quickshop_material
												}
											}
												// <h3 class="categorylist">Categories</h3>
											10 = TEXT
											10 {
												value = Categories
												lang {
													de = Kategorien
													en = Categories
												}
												wrap = {$plugin.quick_shop.html.categoriesHeaderWrap}
											}
												// tx_quickshop_categories, tx_quickshop_dimension, tx_quickshop_group, tx_quickshop_material
											20 = COA
											20 {
												20 < plugin.tx_quickshop.templates.tx_quickshop_categories.singleview.title
													// tx_quickshop_categories.singleview.title.if.isTrue.field = tx_quickshop_categories.uid
												20 = COA
												30 < plugin.tx_quickshop.templates.tx_quickshop_dimension.singleview.title
													// tx_quickshop_dimension.singleview.title.if.isTrue.field = tx_quickshop_dimension.uid
												30 = COA
												40 < plugin.tx_quickshop.templates.tx_quickshop_group.singleview.title
													// tx_quickshop_group.singleview.title.if.isTrue.field = tx_quickshop_group.uid
												40 = COA
												50 < plugin.tx_quickshop.templates.tx_quickshop_material.singleview.title
													// tx_quickshop_material.singleview.title.if.isTrue.field = tx_quickshop_material.uid
												50 = COA
												wrap = <ul class="categorylist">|</ul>
											}
										}
										80 < plugin.tx_quickshop.templates.tx_quickshop_provider.singleview.title
											// tx_quickshop_provider.singleview.title.if.isTrue.field = tx_quickshop_provider.uid
										80 = COA
											// adn.ebay.com
										90 < temp.ebaypnwbanner
									}
								}
								1 {
									10 >
									10 < plugin.tx_browser_pi1.views.single.62037.tx_quickshop_products.title.20.20.0.10
								}
								2 {
									10 >
									10 < plugin.tx_browser_pi1.views.single.62037.tx_quickshop_products.title.20.20.0.10
								}
								8 {
									10 >
									10 < plugin.tx_browser_pi1.views.single.62037.tx_quickshop_products.title.20.20.0.10
								}
								9 {
									10 >
									10 < plugin.tx_browser_pi1.views.single.62037.tx_quickshop_products.title.20.20.0.10
								}
								10 {
									10 >
									10 < plugin.tx_browser_pi1.views.single.62037.tx_quickshop_products.title.20.20.0.10
								}
								17 {
									10 >
									10 < plugin.tx_browser_pi1.views.single.62037.tx_quickshop_products.title.20.20.0.10
								}
								18 {
									10 >
									10 < plugin.tx_browser_pi1.views.single.62037.tx_quickshop_products.title.20.20.0.10
								}
								25 {
									10 >
									10 < plugin.tx_browser_pi1.views.single.62037.tx_quickshop_products.title.20.20.0.10
								}
								26 {
									10 >
									10 < plugin.tx_browser_pi1.views.single.62037.tx_quickshop_products.title.20.20.0.10
								}
							}
						}
							// Into the Caddy
						40 = COA
						40 {
							10 < temp.intoTheCaddy.belowContent
							wrap = <div class="row">|</div>
						}
					}
				}
			}
		}
	}
}