plugin.tx_browser_pi1 {
  views {
    single {
      62100 {
          // empty statement for proper comments only
        tx_quickshop_provider {
        }
          // title: image, header, bodytext, vita, groups
        tx_quickshop_provider =
        tx_quickshop_provider {
            // image, header, bodytext, vita, groups
            // title
          title < plugin.tx_browser_pi1.displaySingle.master_templates.tableFields.imageText.1
          title {
            20 {
              0 {
                10 >
                20 >
                30 >
									// empty statement for proper comments only
								10 {
								}
                  // socialmedia_bookmarks, header, address, contact, bodytext, tx_quickshop_products
                10 = COA
                10 {
                    // socialmedia_bookmarks
                  10 = TEXT
                  10 {
                    value = ###SOCIALMEDIA_BOOKMARKS###
                    wrap = <div class="###CSSVISLARGETO###socialbookmarks">|</div>
                  }
                    // header
                  20 = TEXT
                  20 {
                    field = tx_quickshop_provider.title
                    wrap = <h1>|</h1>
                  }
                    // address, contact
                  30 = COA
                  30 {
                      // address
                    10 = COA
                    10 {
                      if {
                        isTrue {
                          stdWrap {
                            cObject = COA
                            cObject {
                              10 = TEXT
                              10 {
                                field = tx_quickshop_provider.mail_address
                              }
                              20 = TEXT
                              20 {
                                field = tx_quickshop_provider.mail_city
                              }
                              30 = TEXT
                              30 {
                                field = tx_quickshop_provider.mail_country
                              }
                              40 = TEXT
                              40 {
                                field = tx_quickshop_provider.mail_postcode
                              }
                              50 = TEXT
                              50 {
                                field = tx_quickshop_provider.mail_street
                              }
                            }
                          }
                        }
                      }
                      wrap = <ul class="vcard tx_quickshop_provider address">|</ul><!-- vcard -->
                        // title
                      20 = TEXT
                      20 {
                        field     = tx_quickshop_provider.title
                        required  = 1
                        wrap      = <li class="title">|</li>
                      }
                        // address
                      30 = COA
                      30 {
                          // mail_address
                        20 = TEXT
                        20 {
                          field     = tx_quickshop_provider.mail_address
                          required  = 1
                          wrap      = <li class="address">|</li>
                        }
                          // mail_street
                        30 = TEXT
                        30 {
                          field     = tx_quickshop_provider.mail_street
                          required  = 1
                          wrap      = <li class="street">|</li>
                        }
                          // postcode, city
                        40 = COA
                        40 {
                            // mail_postcode
                          10 = TEXT
                          10 {
                            field       = tx_quickshop_provider.mail_postcode
                            noTrimWrap  = |<span class="postcode">| </span> |
                            required    = 1
                          }
                            // mail_city
                          20 = TEXT
                          20 {
                            field       = tx_quickshop_provider.mail_city
                            noTrimWrap  = |<span class="city">|</span> |
                            required    = 1
                          }
                          wrap = <li class="postcode_city">|</li>
                        }
                      }
                        // mail_country
                      50 = TEXT
                      50 {
                        field     = tx_quickshop_provider.mail_country
                        required  = 1
                        wrap      = <li class="country">|</li>
                      }
                    }
                      // contact
                    20 = COA
                    20 {
                      if {
                        isTrue {
                          stdWrap {
                            cObject = COA
                            cObject {
                              10 = TEXT
                              10 {
                                field = tx_quickshop_provider.email
                              }
                              20 = TEXT
                              20 {
                                field = tx_quickshop_provider.fax
                              }
                              30 = TEXT
                              30 {
                                field = tx_quickshop_provider.mail_url
                              }
                              40 = TEXT
                              40 {
                                field = tx_quickshop_provider.telephone
                              }
                              50 = TEXT
                              50 {
                                field = tx_quickshop_provider.ticket_telephone
                              }
                              60 = TEXT
                              60 {
                                field = tx_quickshop_provider.ticket_url
                              }
                              70 = TEXT
                              70 {
                                field = tx_quickshop_provider.tx_org_staff
                              }
                            }
                          }
                        }
                      }
                      wrap = <ul class="vcard tx_quickshop_provider contact">|</ul><!-- vcard -->
                        // header
                      10 = TEXT
                      10 {
                        data = LLL:EXT:org/Resources/Private/Language/locallang_db.xml:filter_phrase.contact
                        wrap = <li class="header">|</li>
                      }
                        // phone
                      30 = COA
                      30 {
                        10 = TEXT
                        10 {
                          value = phone:
                          lang {
                            de = Tel.:
                            en = phone:
                          }
                          noTrimWrap = || |
                        }
                        20 = TEXT
                        20 {
                          field = tx_quickshop_provider.telephone
                        }
                        if {
                          isTrue {
                            field = tx_quickshop_provider.telephone
                          }
                        }
                        wrap = <li class="telephone">|</li>
                      }
                        // fax
                      60 = COA
                      60 {
                        10 = TEXT
                        10 {
                          value = fax:
                          lang {
                            de = Fax:
                            en = fax:
                          }
                          noTrimWrap = || |
                        }
                        20 = TEXT
                        20 {
                          field = tx_quickshop_provider.fax
                        }
                        if {
                          isTrue {
                            field = tx_quickshop_provider.fax
                          }
                        }
                        wrap = <li class="fax">|</li>
                      }
                        // email
                      70 = COA
                      70 {
                        10 = TEXT
                        10 {
                          value = e-mail:
                          lang {
                            de = E-Mail:
                            en = e-mail:
                          }
                          noTrimWrap = || |
                        }
                        20 = TEXT
                        20 {
                          field = tx_quickshop_provider.email
                          typolink {
                            parameter {
                              field = tx_quickshop_provider.email
                            }
                          }
                        }
                        if {
                          isTrue {
                            field = tx_quickshop_provider.email
                          }
                        }
                        wrap = <li class="email">|</li>
                      }
                        // url
                      80 = COA
                      80 {
                        10 = TEXT
                        10 {
                          value = WWW
                          lang {
                            de = WWW
                            en = WWW
                          }
                          noTrimWrap = ||: |
                        }
                        20 = TEXT
                        20 {
                          field = tx_quickshop_provider.url
                          typolink {
                            parameter {
                              field = tx_quickshop_provider.url
                            }
                          }
                        }
                        if {
                          isTrue {
                            field = tx_quickshop_provider.url
                          }
                        }
                        wrap = <li class="url">|</li>
                      }
                    }
                  }
                    // bodytext
                  40 = TEXT
                  40 {
                    field = tx_quickshop_provider.bodytext
                    stdWrap {
                      parseFunc < lib.parseFunc_RTE
                    }
                  }
                    // tx_quickshop_products
                  50 = TEXT
                  50 {
										value = tx_quickshop_products
                    wrap = <ul class="vcard tx_quickshop_provider tx_org_cal"><li>|</li></ul><!-- vcard -->
                  }
                }
              }
              1 {
                10 >
                20 >
                30 >
                10 < plugin.tx_browser_pi1.views.single.62100.tx_quickshop_provider.title.20.0.10
              }
              2 {
                10 >
                20 >
                30 >
                10 < plugin.tx_browser_pi1.views.single.62100.tx_quickshop_provider.title.20.0.10
              }
              8 {
                10 >
                20 >
                30 >
                10 < plugin.tx_browser_pi1.views.single.62100.tx_quickshop_provider.title.20.0.10
              }
              9 {
                10 >
                20 >
                30 >
                10 < plugin.tx_browser_pi1.views.single.62100.tx_quickshop_provider.title.20.0.10
              }
              10 {
                10 >
                20 >
                30 >
                10 < plugin.tx_browser_pi1.views.single.62100.tx_quickshop_provider.title.20.0.10
              }
              17 {
                10 >
                20 >
                30 >
                10 < plugin.tx_browser_pi1.views.single.62100.tx_quickshop_provider.title.20.0.10
              }
              18 {
                10 >
                20 >
                30 >
                10 < plugin.tx_browser_pi1.views.single.62100.tx_quickshop_provider.title.20.0.10
              }
              25 {
                10 >
                20 >
                30 >
                10 < plugin.tx_browser_pi1.views.single.62100.tx_quickshop_provider.title.20.0.10
              }
              26 {
                10 >
                20 >
                30 >
                10 < plugin.tx_browser_pi1.views.single.62100.tx_quickshop_provider.title.20.0.10
              }
            }
            wrap = <div class="row">|</div>
          }
        }
      }
    }
  }
}