<?php

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

$iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance( \TYPO3\CMS\Core\Imaging\IconRegistry::class );

$extIconPath = 'EXT:quick_shop/Resources/Public/Images/Icons/ExtIcon/';

$extIcons = array(
		'quick_shop' => array(
				'identifier' => 'contains-quickshop'
				, 'key' => 'quickshop'			// <- Key must be the part behind contains- of the identifier!
				, 'label' => 'Quick Shop Items'
				, 'source' => $extIconPath . 'quick_shop.svg'
		),
		'quickshoppage' => array(
				'identifier' => 'contains-quickshoppage'
				, 'key' => 'quickshoppage'			// <- Key must be the part behind contains- of the identifier!
				, 'label' => 'Quick Shop Page'
				, 'source' => $extIconPath . 'apps-quickshop-page.svg'
		),
);

foreach( ( array ) $extIcons as $extIcon )
{
	$iconRegistry->registerIcon(
					$extIcon[ 'identifier' ]
					, \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class
					, [ 'source' => $extIcon[ 'source' ] ]
	);
	$TCA[ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array(
			$extIcon[ 'label' ]
			, $extIcon[ 'key' ]
			, $extIcon[ 'identifier' ]
	);
	$TCA[ 'pages' ][ 'ctrl' ][ 'typeicon_classes' ][ $extIcon[ 'identifier' ] ] = $extIcon[ 'identifier' ];
}