<?php

if( !defined( 'TYPO3_MODE' ) )
{
  die( 'Access denied.' );
}

/* * ****************************************************************************
 * Index
 * 
 * Get extension configuration
 * Add static template
 * Register Icons
 * Add default page and user TSconfig
 * 
 * **************************************************************************** */

/* * ****************************************************************************
 * Get extension configuration
 * **************************************************************************** */

$confArr = unserialize( $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'quick_shop' ] );
if( empty( $confArr[ 'tcaProductOrdering' ] ) )
{
  $TCA[ 'tx_quickshop_categories' ][ 'ctrl' ][ 'default_sortby' ] = 'ORDER BY title';
}
else
{
  $TCA[ 'tx_quickshop_products' ][ 'ctrl' ][ 'sortby' ] = 'sorting';
}
if( !empty( $confArr[ 'products_on_standardpages' ] ) )
{
  \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages( 'tx_quickshop_categories' );
  \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages( 'tx_quickshop_dimension' );
  \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages( 'tx_quickshop_group' );
  \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages( 'tx_quickshop_material' );
  \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages( 'tx_quickshop_products' );
  \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages( 'tx_quickshop_shippingcosts' );
}

/* * ****************************************************************************
 * Add static template
 * **************************************************************************** */

require_once(\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath( $_EXTKEY ) . 'Configuration/ExtTables/Default/addStaticFile.php');

/* * ****************************************************************************
 * Register Icons
 * **************************************************************************** */

// #t1805, 171207, dwildt, 2-/+
//$TCA[ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array( 'Quick Shop', 'quickshop', \Netzmacher\Refresh\Compatibility\Core\Utility\ExtensionManagementUtility::extRelPath( $_EXTKEY ) . 'ext_icon.svg' );
//\TYPO3\CMS\Backend\Sprite\SpriteManager::addTcaTypeIcon( 'pages', 'contains-quickshop', '../typo3conf/ext/quick_shop/ext_icon.svg' );
require_once(\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath( $_EXTKEY ) . 'Configuration/ExtTables/Default/IconRegistry.php');
require_once(\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath( $_EXTKEY ) . 'Configuration/ExtTables/Default/SvgIconProvider.php');

/* * ****************************************************************************
 * Add default page and user TSconfig
 * **************************************************************************** */

require_once( PATH_typo3conf . 'ext/quick_shop/Configuration/PageTS/TxLinkhandler/Default/tx_quickshop_products.php' );